#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# comment out when not pre-release
#define prerelease beta1

# FIXME workaround underlinking issue :(
%define _disable_ld_no_undefined 1

%define __brp_python_bytecompile %{nil}
%define url_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1

Name:		qt-creator
Version:	15.0.1
Release:	%mkrel %{?prelease:0.%prelease.}%{rel}
License:        GPLv3 with exceptions
Summary:	Qt Creator is a lightweight, cross-platform integrated development environment (IDE)
Group:		Development/KDE and Qt
URL:		https://qt-project.org/wiki/Category:Tools::QtCreator
Source0:	https://download.qt.io/%{?prerelease:development}%{?!prerelease:official}_releases/qtcreator/15.0/%{version}%{?prerelease:-%prerelease}/qt-creator-opensource-src-%{version}%{?prerelease:-%prerelease}.tar.xz
Source3:	Nokia-QtCreator.xml
# Fedora patches:
# Fix leading whitespace in desktop file
Patch1:         qt-creator_desktop.patch
# Limit qmake names to avoid the rpm macro wrapper qmake-qt5.sh getting picked up (#1644989)
Patch2:         qt-creator_qmake-names.patch
# Fix debuginfod detection
Patch3:         qt-creator-debuginfod.patch
# Drop refereces to unbundled yaml-cpp
Patch4:         qt-creator_unbundle.patch

BuildRequires:	ninja
BuildRequires:	cmake
BuildRequires:	cmake-rpm-macros >= 1:9-9
BuildRequires:	cmake(KF6SyntaxHighlighting)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Designer)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6QmlModels)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickWidgets)
BuildRequires:	cmake(Qt6Quick3D)
BuildRequires:	cmake(Qt6Quick3DAssetImport)
BuildRequires:	cmake(Qt6QuickTimeline)
BuildRequires:	cmake(Qt6SerialPort)
BuildRequires:	cmake(Qt6ShaderTools)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Tools)
BuildRequires:	cmake(Qt6UiPlugin)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
%ifarch aarch64 x86_64
BuildRequires:	cmake(Qt6WebEngineWidgets)
%endif
BuildRequires:	cmake(Qt6QmlDomPrivate)

BuildRequires:	cmake(litehtml)
BuildRequires:	qttools6
BuildRequires:	qttools6-assistant
BuildRequires:	python3
BuildRequires:	chrpath

BuildRequires:	clang-devel
BuildRequires:	llvm-devel
BuildRequires:	qbs-devel
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libelf)
BuildRequires:	pkgconfig(yaml-cpp)
BuildRequires:	pkgconfig(xkbcommon)

Requires:	cmake(Qt6QuickTest)
Requires:	qt6-qtdeclarative
Requires:	qt6-qtquicktimeline
Requires:	qt6-qtwayland
# to display examples these two packages are needed (fixes mga#21981)
Requires:	qtbase6-examples
#Requires:	qt6-doc

Recommends:	qttools6-designer
Recommends:	qttools6-assistant
Recommends:	qtbase6-devel
Recommends:	qttools6
Recommends:	%{name}-doc

Provides:	qtcreator = %{version}-%{release}

%description
Qt Creator (previously known as Project Greenhouse) is a lightweight,
cross-platform integrated development environment (IDE) designed to make
development with the Qt application framework even faster and easier.

#------------------------------------------------------------------------------

%package doc
Summary:	User documentation for %{name}
Requires:	%{name} >= %{version}-%{release}
BuildArch:	noarch

%description doc
User documentation for %{name}.


%files
%exclude %{_defaultdocdir}/qtcreator/qtcreator.qch
%exclude %{_defaultdocdir}/qtcreator/qtcreator-dev.qch
%{_bindir}/qtcreator
%{_bindir}/qtcreator.sh
%{_datadir}/applications/org.qt-project.qtcreator.desktop
%{_datadir}/qtcreator/
%{_metainfodir}/org.qt-project.qtcreator.appdata.xml
%{_datadir}/mime/application/Nokia-QtCreator.xml
%{_iconsdir}/hicolor/*/apps/QtProject-qtcreator.png
%{_libdir}/qtcreator/
%{_libexecdir}/qtcreator/

%files doc
# Please don't change this, it is where qt-creator expects the documentation to be!
%dir %{_defaultdocdir}/qtcreator/
%doc %{_defaultdocdir}/qtcreator/qtcreator.qch
%doc %{_defaultdocdir}/qtcreator/qtcreator-dev.qch

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-opensource-src-%{version}%{?prerelease:-%prerelease}

# Remove some bundled libraries to be sure
rm -rf src/shared/qbs
rm -rf src/plugins/help/qlitehtml/litehtml
#rm -rf src/libs/3rdparty/syntax-highlighting/src
rm -rf src/libs/3rdparty/yaml-cpp

# fix libdir in launcher script
sed -i -e '/^libdir/s|/lib"|/%{_lib}"|' bin/qtcreator.sh

# fix plugindir in launcher script
sed -i -e '/^qtlibdir/s|\(libdir/\).*$|\1qtcreator/plugins|' bin/qtcreator.sh

%build
%cmake -G Ninja \
    -DBUILD_PLUGIN_CLANGREFACTORING=ON \
    -DBUILD_PLUGIN_CLANGPCHMANAGER=ON \
    -DCLANGTOOLING_LINK_CLANG_DYLIB=ON \
    -DWITH_DOCS=ON \
    -Djournald=ON \
    -DBUILD_DEVELOPER_DOCS=ON \
    -DCMAKE_INSTALL_LIBDIR=%{_lib}

%cmake_build
%cmake_build -- qch_docs

%install
%cmake_install
%cmake_install --component qch_docs

mkdir -p %{buildroot}%{_datadir}/mime/application
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/mime/application

%check
chrpath -l %{buildroot}%{_bindir}/qtcreator


%changelog
* Fri Jan 24 2025 daviddavid <daviddavid> 15.0.1-1.mga10
+ Revision: 2141176
- new version: 15.0.1

* Fri Dec 20 2024 daviddavid <daviddavid> 15.0.0-1.mga10
+ Revision: 2126775
- New version 15.0.0

* Sun Nov 17 2024 wally <wally> 14.0.2-2.mga10
+ Revision: 2117202
- rebuild for LLVM 19.1.3

* Sun Oct 06 2024 daviddavid <daviddavid> 14.0.2-1.mga10
+ Revision: 2103919
- new version: 14.0.2

* Thu Aug 08 2024 daviddavid <daviddavid> 14.0.1-1.mga10
+ Revision: 2084108
- new version: 14.0.1

* Fri Jul 26 2024 daviddavid <daviddavid> 14.0.0-1.mga10
+ Revision: 2082622
- New version 14.0.0

* Thu Jan 19 2023 wally <wally> 9.0.1-5.mga9
+ Revision: 1934418
- fix libdir and plugindir in qtcreator.sh launcher script
- drop unneeded build hacks and ld.so.conf.d config

* Thu Jan 19 2023 papoteur <papoteur> 9.0.1-4.mga9
+ Revision: 1934403
- restore build option to avoid 'The Creator's process launcher /usr/usr/libexec/qtcreator/qtcreator_processlauncher  is not executable.
- add requirement on qtwayland6, claimed at launch

* Thu Jan 12 2023 daviddavid <daviddavid> 9.0.1-3.mga9
+ Revision: 1932414
- backport patch for QTCREATORBUG-28505

* Wed Dec 28 2022 daviddavid <daviddavid> 9.0.1-2.mga9
+ Revision: 1927431
- fix dependencies (qtbase6-doc not yet available)

* Wed Dec 28 2022 neoclust <neoclust> 9.0.1-1.mga9
+ Revision: 1927289
- New version 9.0.1
- switch to Qt6

* Tue Dec 27 2022 daviddavid <daviddavid> 8.0.1-2.mga9
+ Revision: 1927153
- rebuild for new yaml-cpp 0.7.0

* Sat Aug 27 2022 neoclust <neoclust> 8.0.1-1.mga9
+ Revision: 1881334
- New version 8.0.1
- New version 7.0.0

* Tue Apr 05 2022 umeabot <umeabot> 6.0.0-2.mga9
+ Revision: 1845158
- Mageia 9 Mass Rebuild

* Fri Oct 22 2021 tv <tv> 6.0.0-1.mga9
+ Revision: 1752597
- Update to 6.0.0-beta1
- Fix license
- Rebuild for llvm 13.0

* Mon May 17 2021 daviddavid <daviddavid> 4.15.0-1.mga9
+ Revision: 1725287
- new version: 4.15.0
- now use litehtml as the helpviewer default backend

* Mon May 17 2021 daviddavid <daviddavid> 4.14.1-3.mga9
+ Revision: 1725235
- add missing dependencies on qtbase5-examples and qtbase5-doc to fix
  examples not display/available in qt-creator (mga#21981)
- fix libexec install dir to fix:
  * Error: The clangbackend executable "/usr/usr/libexec/qtcreator/clangbackend" does not exist

* Mon May 17 2021 daviddavid <daviddavid> 4.14.1-2.mga9
+ Revision: 1725169
- re-enable journald logging capture
- fix rpath

* Wed Mar 03 2021 daviddavid <daviddavid> 4.14.1-1.mga9
+ Revision: 1696761
- new version: 4.14.1
+ neoclust <neoclust>
- Rebuild against new clang
+ tv <tv>
- rebuild for llvm/clang-12

* Wed Dec 30 2020 daviddavid <daviddavid> 4.14.0-2.mga8
+ Revision: 1665860
- switch to cmake build

* Wed Dec 23 2020 daviddavid <daviddavid> 4.14.0-1.mga8
+ Revision: 1663098
- new version: 4.14.0
- buildrequires elfutils-devel for perparser

* Tue Dec 08 2020 daviddavid <daviddavid> 4.13.3-1.mga8
+ Revision: 1654731
- new version: 4.13.3

* Thu Nov 26 2020 tv <tv> 4.13.2-2.mga8
+ Revision: 1649616
- rebuild for llvm/clang 11.0

* Thu Oct 08 2020 daviddavid <daviddavid> 4.13.2-1.mga8
+ Revision: 1632769
- new version: 4.13.2

* Thu Sep 17 2020 daviddavid <daviddavid> 4.13.1-1.mga8
+ Revision: 1628260
- new version: 4.13.1

* Wed Sep 02 2020 daviddavid <daviddavid> 4.13.0-1.mga8
+ Revision: 1620898
- new version: 4.13.0

* Thu Jul 09 2020 daviddavid <daviddavid> 4.12.4-1.mga8
+ Revision: 1603756
- new version: 4.12.4

* Tue Jun 30 2020 daviddavid <daviddavid> 4.12.3-2.mga8
+ Revision: 1600768
- enable journald support (#1846808)

* Thu Jun 18 2020 daviddavid <daviddavid> 4.12.3-1.mga8
+ Revision: 1595863
- new version: 4.12.3

* Thu May 28 2020 daviddavid <daviddavid> 4.12.1-1.mga8
+ Revision: 1588417
- new version: 4.12.1
- also look for unsiffixed qmake

* Sat Apr 25 2020 daviddavid <daviddavid> 4.12.0-1.mga8
+ Revision: 1571795
- new version: 4.12.0

* Thu Apr 09 2020 daviddavid <daviddavid> 4.12.0-0.rc1.1.mga8
+ Revision: 1565785
- new version: 4.12.0-rc1

* Sun Mar 22 2020 daviddavid <daviddavid> 4.12.0-0.beta2.1.mga8
+ Revision: 1558811
- new version: 4.12.0-beta2
+ tv <tv>
- rebuild with llvm 10

* Tue Feb 18 2020 umeabot <umeabot> 4.11.1-2.mga8
+ Revision: 1539889
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 daviddavid <daviddavid> 4.11.1-1.mga8
+ Revision: 1536971
- new version: 4.11.1

* Fri Dec 13 2019 daviddavid <daviddavid> 4.11.0-1.mga8
+ Revision: 1466549
- new version: 4.11.0

* Fri Oct 11 2019 daviddavid <daviddavid> 4.10.1-2.mga8
+ Revision: 1451303
- rebuild for new qbs 1.14.0

* Wed Oct 09 2019 daviddavid <daviddavid> 4.10.1-1.mga8
+ Revision: 1450691
- new version: 4.10.1

* Wed Sep 25 2019 daviddavid <daviddavid> 4.10.0-2.mga8
+ Revision: 1445861
- add patch to fix build against llvm/clang 9
- rebuild against new Qt5 stack
+ tv <tv>
- rebuild for llvm-9.0

* Fri Sep 06 2019 daviddavid <daviddavid> 4.10.0-1.mga8
+ Revision: 1437728
- new version: 4.10.0

* Mon Jul 15 2019 daviddavid <daviddavid> 4.9.2-2.mga8
+ Revision: 1421550
- rebuild for new botan2 2.11.0

* Mon Jul 01 2019 daviddavid <daviddavid> 4.9.2-1.mga8
+ Revision: 1417310
- new version: 4.9.2
- rebuild for new qbs 1.13.1

* Mon Apr 15 2019 daviddavid <daviddavid> 4.9.0-1.mga7
+ Revision: 1390837
- new version: 4.9.0

* Mon Apr 15 2019 daviddavid <daviddavid> 4.8.2-3.mga7
+ Revision: 1390768
- rebuild for new llvm/clang 8.0

* Mon Apr 01 2019 umeabot <umeabot> 4.8.2-2.mga7
+ Revision: 1384352
- Qt5 Rebuild

* Fri Mar 01 2019 daviddavid <daviddavid> 4.8.2-1.mga7
+ Revision: 1370866
- new version: 4.8.2
- really use system botan2

* Fri Mar 01 2019 daviddavid <daviddavid> 4.8.1-2.mga7
+ Revision: 1370660
- switch to botan2

* Fri Feb 08 2019 daviddavid <daviddavid> 4.8.1-1.mga7
+ Revision: 1364257
- new version: 4.8.1

* Sat Dec 22 2018 daviddavid <daviddavid> 4.8.0-1.mga7
+ Revision: 1344357
- new version: 4.8.0

* Thu Oct 25 2018 daviddavid <daviddavid> 4.7.2-1.mga7
+ Revision: 1325228
- new version: 4.7.2

* Thu Sep 27 2018 tv <tv> 4.7.1-1.mga7
+ Revision: 1308375
- fix build with llvm/clang 7.0
- new release
- rebuild for llvm 7.0
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Jul 18 2018 daviddavid <daviddavid> 4.7.0-1.mga7
+ Revision: 1244252
- new version: 4.7.0

* Mon Jun 11 2018 daviddavid <daviddavid> 4.6.2-1.mga7
+ Revision: 1236379
- New version 4.6.2

* Mon May 07 2018 neoclust <neoclust> 4.6.1-1.mga7
+ Revision: 1227192
- New version 4.6.1
+ tv <tv>
- rebuild with llvm/clang 6.0
+ daviddavid <daviddavid>
- new version: 4.6.0
- add patches to fix appdata and desktop files

* Thu Mar 15 2018 daviddavid <daviddavid> 4.5.2-1.mga7
+ Revision: 1209576
- new version: 4.5.2

* Sat Feb 17 2018 daviddavid <daviddavid> 4.5.1-1.mga7
+ Revision: 1202015
- new version: 4.5.1

* Mon Feb 05 2018 daviddavid <daviddavid> 4.5.0-2.mga7
+ Revision: 1199000
- BR qtquickcontrols5 to enable qmldesigner

* Sat Jan 20 2018 neoclust <neoclust> 4.5.0-1.mga7
+ Revision: 1194821
- New version 4.5.0

* Tue Nov 21 2017 tv <tv> 4.4.0-2.mga7
+ Revision: 1178121
- rebuild for llvm/clang 5

* Fri Sep 22 2017 tv <tv> 4.4.0-1.mga7
+ Revision: 1157009
- new release
- adjust file list
- rebuild with llvm-4.0 in core/release
+ neoclust <neoclust>
- New version 4.4.0 rc1
- New version 4.4.0 Beta 1

* Tue Mar 28 2017 tmb <tmb> 4.2.1-3.mga6
+ Revision: 1095110
- rebuild for armv5tl

* Tue Mar 28 2017 neoclust <neoclust> 4.2.1-2.mga6
+ Revision: 1095056
- Rebuild for ARM

* Sun Mar 19 2017 akien <akien> 4.2.1-1.mga6
+ Revision: 1093601
- Package upstream metainfo and desktop file (replaces our desktop file)
- Version 4.2.1

* Tue Mar 14 2017 neoclust <neoclust> 4.2.0-3.mga6
+ Revision: 1092614
- Fix missing qmlscene (mga#19608)

* Sun Feb 19 2017 daviddavid <daviddavid> 4.2.0-2.mga6
+ Revision: 1086849
- remove useless BRs on gstreamer0.10

* Sat Jan 07 2017 neoclust <neoclust> 4.2.0-1.mga6
+ Revision: 1080575
- New version 4.2.0

* Sat Jan 07 2017 tmb <tmb> 4.1.0-2.mga6
+ Revision: 1080483
- rebuild with new llvm
+ neoclust <neoclust>
- Revert for version 4.1.0 in mga6
- New version 4.2.0

* Tue Sep 06 2016 daviddavid <daviddavid> 4.1.0-1.mga6
+ Revision: 1050238
- New version 4.1.0
- enable llvm and clang support
- use system botan instead
+ neoclust <neoclust>
- Recommends qttools5
- New version 4.0.3
+ akien <akien>
- Use pkgconfig for Qt5 BuildRequires
- Reorder BuildRequires alphabetically

* Wed May 11 2016 neoclust <neoclust> 4.0.0-1.mga6
+ Revision: 1013009
- New version 4.0.0

* Mon Apr 25 2016 neoclust <neoclust> 4.0.0-0.rc1.1.mga6
+ Revision: 1005985
- New version 4.0.0 rc1
+ doktor5000 <doktor5000>
- remove old deprecated filetriggers
- filetriggers not necessary, glibc contains ldconfig filetrigger that fires on %%_libdir

* Thu Dec 24 2015 neoclust <neoclust> 3.6.0-1.mga6
+ Revision: 914054
- New version 3.6.0
- Rebuild against Qt 5.6.0 Beta
- new version 3.6.0 Beta1

* Sun Oct 25 2015 neoclust <neoclust> 3.5.1-1.mga6
+ Revision: 895069
- New version 3.5.1

* Thu Aug 27 2015 neoclust <neoclust> 3.5.0-1.mga6
+ Revision: 870342
- New version 3.5.0

* Sat Aug 08 2015 neoclust <neoclust> 3.5.0-0.rc1.1.mga6
+ Revision: 861626
- New version 3.5.0-rc1

* Mon Jul 27 2015 neoclust <neoclust> 3.5.0-0.beta1.1.mga6
+ Revision: 858174
- New version 3.5.0 beta1

* Sun Jul 19 2015 neoclust <neoclust> 3.4.2-1.mga6
+ Revision: 855247
- New version 3.4.2

* Mon Mar 30 2015 luigiwalser <luigiwalser> 3.3.0-2.mga5
+ Revision: 819417
- add patch from fedora to verify host key in built-in ssh client (mga#15559)

* Tue Dec 23 2014 neoclust <neoclust> 3.3.0-1.mga5
+ Revision: 805010
- New version 3.3.0

* Thu Dec 04 2014 doktor5000 <doktor5000> 3.2.2-3.mga5
+ Revision: 801523
- add Requires on qtquickcontrols5 to enable loading of Qt Quick 1.0 modules

* Thu Dec 04 2014 doktor5000 <doktor5000> 3.2.2-2.mga5
+ Revision: 800819
- add Requires on qtdeclarative5 to enable loading of Qt Quick 2.x modules

* Sun Nov 30 2014 doktor5000 <doktor5000> 3.2.2-1.mga5
+ Revision: 800062
- rediffed qt-creator-mga-docdir.patch
- new version 3.2.2
- build and add Recommends on -doc subpackage, fixes (mga#12866)
- rediffed qt-creator-mga_docdir.patch for correct doc directory name

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-3.mga5
+ Revision: 743064
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-2.mga5
+ Revision: 688520
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Aug 22 2014 neoclust <neoclust> 3.2.0-1.mga5
+ Revision: 666504
- New version 3.2.0

* Mon May 26 2014 fwang <fwang> 3.1.1-1.mga5
+ Revision: 626580
- 3.1.1

* Thu May 01 2014 anaselli <anaselli> 3.1.0-2.mga5
+ Revision: 619316
- Added missing icon

* Sat Apr 19 2014 fwang <fwang> 3.1.0-1.mga5
+ Revision: 616989
- 3.1.0 final

* Mon Apr 07 2014 fwang <fwang> 3.1.0-0.rc1.1.mga5
+ Revision: 612677
- update file list
- 3.1.0 rc1

* Sun Feb 09 2014 fwang <fwang> 3.0.1-1.mga5
+ Revision: 586938
- drop unused patch

* Sat Dec 14 2013 fwang <fwang> 3.0.0-1.mga4
+ Revision: 556765
- fix linkage
- 3.0.0 final
- rebuild

* Sun Dec 01 2013 fwang <fwang> 3.0.0-0.rc1.1.mga4
+ Revision: 554489
- add br
- 3.0.0 rc1

* Tue Nov 19 2013 fwang <fwang> 3.0.0-0.beta.1.mga4
+ Revision: 551849
- update file list
- new version 3.0beta
- qt5v8 is not needed anymore

* Mon Oct 21 2013 umeabot <umeabot> 2.8.1-3.mga4
+ Revision: 539087
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 neoclust <neoclust> 2.8.1-2.mga4
+ Revision: 491350
- Rebuild against qt 5.2.0 alpha

* Thu Aug 29 2013 neoclust <neoclust> 2.8.1-1.mga4
+ Revision: 473123
- New version
- New version 2.8rc
+ fwang <fwang>
- linkage fix
- 2.8.0 final

* Thu Apr 18 2013 neoclust <neoclust> 2.7.0-2.mga3
+ Revision: 410425
- Rebuild against Qt 5.0.2

* Thu Mar 28 2013 neoclust <neoclust> 2.7.0-1.mga3
+ Revision: 405853
- New version 2.7.0 Final

* Wed Mar 13 2013 neoclust <neoclust> 2.7.0-0.rc.2.mga3
+ Revision: 402386
- Rebuild in core

* Sat Mar 09 2013 neoclust <neoclust> 2.7.0-0.rc.1.mga3
+ Revision: 401966
- New version 2.7.0RC

* Sun Feb 24 2013 neoclust <neoclust> 2.7.0-0.beta1.1.mga3
+ Revision: 400280
- New version 2.7.0 beta

* Wed Feb 06 2013 neoclust <neoclust> 2.6.2-1.mga3
+ Revision: 394926
- New version

* Sat Feb 02 2013 neoclust <neoclust> 2.6.1-6.mga3
+ Revision: 394068
- Fix suggests to be qt5 friendly

* Sun Jan 27 2013 neoclust <neoclust> 2.6.1-5.mga3
+ Revision: 392811
- Translate BR to qt5

* Sat Jan 26 2013 neoclust <neoclust> 2.6.1-4.mga3
+ Revision: 392436
- Add ld.conf and rpm trigger files

* Fri Jan 25 2013 fwang <fwang> 2.6.1-3.mga3
+ Revision: 392238
- br lrelease
- clear debug code
- update url
+ neoclust <neoclust>
- Build against qt5

* Sun Jan 13 2013 umeabot <umeabot> 2.6.1-2.mga3
+ Revision: 379916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 neoclust <neoclust> 2.6.1-1.mga3
+ Revision: 344283
- New version 2.6.1

* Fri Nov 09 2012 neoclust <neoclust> 2.6.0-1.mga3
+ Revision: 316537
- New version 2.6.0

* Fri Aug 10 2012 neoclust <neoclust> 2.5.2-1.mga3
+ Revision: 280357
- New version 2.5.2

* Sun Jul 29 2012 fwang <fwang> 2.5.1-1.mga3
+ Revision: 275706
- new version 2.5.1

* Mon May 28 2012 fwang <fwang> 2.5.0-1.mga3
+ Revision: 247799
- new version 2.5.0

* Sat Feb 04 2012 fwang <fwang> 2.4.1-1.mga2
+ Revision: 204478
- update file list
- new version 2.4.1

* Tue Dec 27 2011 dmorgan <dmorgan> 2.4.0-3.mga2
+ Revision: 188042
- Fix file list
- Fix file list
- BR qt4-devel-private for qml design plugin

* Sun Dec 18 2011 fwang <fwang> 2.4.0-2.mga2
+ Revision: 183609
- br qtwebkit

* Thu Dec 15 2011 fwang <fwang> 2.4.0-1.mga2
+ Revision: 182249
- 2.4.0 final

* Mon Nov 28 2011 fwang <fwang> 2.4.0-0.rc.1.mga2
+ Revision: 173680
- new version 2.4.0

* Tue Oct 25 2011 dmorgan <dmorgan> 2.4.0-0.beta1.1.mga2
+ Revision: 158135
- New version 2.4.0 Beta

* Tue Oct 04 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 151514
- fix install
- new version 2.3.1

* Fri Sep 02 2011 tv <tv> 2.3.0-2.mga2
+ Revision: 137887
- make the huge doc subpackage be noarch

* Fri Sep 02 2011 fwang <fwang> 2.3.0-1.mga2
+ Revision: 137872
- fix typo
- move wrong files
- does not produce doc any more
- update file list
- update file list
- fix install
- new version 2.3.0

* Mon Jun 27 2011 fwang <fwang> 2.2.1-1.mga2
+ Revision: 114599
- new version 2.2.1

* Sat May 07 2011 mikala <mikala> 2.2.0-1.mga1
+ Revision: 95875
- Update to final 2.2.0

* Wed Apr 20 2011 mikala <mikala> 2.2.0-0.rc1.1.mga1
+ Revision: 88914
- Update to 2.2.0 rc1

* Mon Mar 07 2011 ahmad <ahmad> 2.1.0-2.mga1
+ Revision: 66204
- use the current qt4-devel Epoch in the BR
- imported package qt-creator


* Thu Mar 03 2011 Funda Wang <fwang@mandriva.org> 2.1.0-1mdv2011.0
+ Revision: 641446
- New version 2.1.0 final

* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 2.1.0-0.rc1.2mdv2011.0
+ Revision: 620625
- new prefix=/usr

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 2.1.0-0.rc1.1mdv2011.0
+ Revision: 609620
- 2.1 rc1

* Thu Nov 11 2010 Funda Wang <fwang@mandriva.org> 2.1.0-0.beta2.1mdv2011.0
+ Revision: 595931
- new version 2.1 beta2

* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 2.1-0.2mdv2011.0
+ Revision: 582907
- new snapshot
- revert previous commit
- doc package is noarch

* Fri Aug 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.1-0.1mdv2011.0
+ Revision: 573461
- Update to 08-27-2010 git snapshot of qt-creator 2.1

* Wed Aug 25 2010 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 573286
- new version 2.0.1
- New version 2.0.0

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix qt minimal version required

* Fri Jan 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.1-3mdv2010.1
+ Revision: 497889
- fix typo in .desktop file
-fix typo in summary

* Thu Jan 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.1-2mdv2010.1
+ Revision: 497513
- fix installing docs
- split docs in a separate package
- oboslete old -doc-1.2.1 package, docs are now in main package
- clean spec
- make .desktop file compliant with xdg specs
- install the docs, and symlink the excutable to %%_bindir (bug 57185)

* Tue Jan 19 2010 Funda Wang <fwang@mandriva.org> 1.3.1-1mdv2010.1
+ Revision: 493632
- new version 1.3.1

* Mon Jan 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-2mdv2010.1
+ Revision: 493106
- Fix missing icon issue under not KDE

* Tue Dec 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-1mdv2010.1
+ Revision: 472225
- Update to version 1.3.0 final

* Wed Nov 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.rc1.1mdv2010.1
+ Revision: 467207
- Update to 1.3.0 Rc1

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.beta1.4mdv2010.1
+ Revision: 466820
- Fix mime emplacement

* Tue Nov 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-0.beta1.3mdv2010.1
+ Revision: 466798
- Fix Exec menu entry

* Tue Nov 10 2009 Helio Chissini de Castro <helio@mandriva.com> 1.3.0-0.beta1.2mdv2010.1
+ Revision: 464135
- As requested by Neoclust adding trunk post beta1

* Tue Sep 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.1-2mdv2010.0
+ Revision: 451025
- Fixing stub binary place as demanded as fast as possible by research and development team.

* Tue Jul 14 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.1-1mdv2010.0
+ Revision: 396006
- New upstream bugfix release 1.2.1

* Sat Jul 04 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.0-1mdv2010.0
+ Revision: 392362
- New upstream version

* Wed Apr 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.0-1mdv2010.0
+ Revision: 369145
- Update release 1.1.0 with cmake patch updated as well

* Mon Mar 16 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-4mdv2009.1
+ Revision: 355923
- Fixed doc package creation

* Wed Mar 11 2009 Funda Wang <fwang@mandriva.org> 1.0.0-3mdv2009.1
+ Revision: 353617
- add proper categories

* Mon Mar 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-2mdv2009.1
+ Revision: 353237
- This is the first package with the new changes introduced by Mandriva to make a suitable distro compliant
  buildsystem, to list some of the changes:
- Cmake buildsystem replacement fully working, allowing a good 32 bits / 64 bits separation
- Designer plugin fully working
- Added missing icons and mimes, taken from upstream binary package
- Added global mime
- Added desktop file and icons
- Finished initial cmake port build to allow 64 / 32 bits. Still under
  development since some plugins aren't properly registering

* Tue Mar 03 2009 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 347862
- New version 1.0.0

* Mon Feb 16 2009 Helio Chissini de Castro <helio@mandriva.com> 0.9.2-1mdv2009.1
+ Revision: 341074
- import qt-creator


